%!TEX root=../../thesis.tex

\newcommand{\eng}[1]{\emph{#1}}

\newcommand{\gsize}{n}
% \renewcommand{\graph}{\mathcal{G}}
\newcommand{\Gg}{\ensuremath{{G}}}
\newcommand{\Hg}{\ensuremath{{H}}}
\newcommand{\graphx}[1]{{#1}}
\newcommand{\eset}{{E}}
\newcommand{\vset}{{V}}
\newcommand{\rset}{\mathds{R}}
\newcommand{\neigh}{\mathcal{N}}
\newcommand{\isneigh}[2]{(#1,#2)\in E}
\newcommand{\mat}[1]{\mathbf{#1}}
\newcommand{\vect}[1]{\mathbf{#1}}
\newcommand{\mats}[1]{\boldsymbol{#1}}
\newcommand{\vects}[1]{\boldsymbol{#1}}
\newcommand{\adj}{\mat{A}}
\newcommand{\id}{\mat{I}}
\newcommand{\wei}{W}
\newcommand{\degm}{D}
\newcommand{\lapun}{L}
\newcommand{\lapsn}{\boldsymbol{\mathcal{L}}}
\newcommand{\lapan}{\mat{\mathcal{L}}_a}
\newcommand{\trans}{\top}
\newcommand{\conv}{\ast}
\newcommand{\eigvec}{u}
\newcommand{\eigvecs}{u}
\newcommand{\eigval}{\lambda}
\newcommand{\eigvecn}{\tilde{u}}
\newcommand{\eigvaln}{\tilde{\lambda}}
\newcommand{\spectrum}[1]{\sigma(#1)}
\newcommand{\fourier}[1]{\widehat {#1}}
\newcommand{\vf}{\vect{f}}
\newcommand{\vg}{\vect{g}}
\newcommand{\vh}{\vect{h}}
\newcommand{\n}{\tau_}

\newcommand{\degr}{\ensuremath{^\circ}}

\definecolor{mypurple}{RGB}{108, 30, 143}
\colorlet{mygreen}{green!30!black}


\newcommand{\TODO}[1]{\textcolor{red}{TODO: #1}}

\newcommand{\diag}{\text{diag}}

\newcommand{\etal}{~et al.~}
\newcommand{\suchthat}{\ensuremath{\,|\,}}

\newcommand{\subfig}[4]{
\begin{subfigure}{.45\linewidth}
\centering
\shadowimage[height=#4]{#2}
\caption{#1}
#3
\end{subfigure}
}

\newcommand{\subfigw}[4]{
\begin{subfigure}{#4}
\centering
\shadowimage[width=\linewidth]{#2}
\caption{#1}
#3
\end{subfigure}
}

\newcommand{\subfigureh}[4]{
\begin{subfigure}{.45\linewidth}
\centering
\includegraphics[height=#4]{#2}
\caption{#1}
#3
\end{subfigure}
}

\newcommand{\subfigurew}[4]{
\begin{subfigure}{#4}
\centering
\includegraphics[width=\linewidth]{#2}
\caption{#1}
#3
\end{subfigure}
}
